Update Tenant
curl --request PATCH \
--url https://api.voxo.co/v2/admin/tenants/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.voxo.co/v2/admin/tenants/{id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.voxo.co/v2/admin/tenants/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voxo.co/v2/admin/tenants/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.voxo.co/v2/admin/tenants/{id}"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.voxo.co/v2/admin/tenants/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.voxo.co/v2/admin/tenants/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"tenantCode": "<string>",
"externalBillingId": "<string>",
"billingStartDate": "<string>",
"conduitPrefix": "<string>",
"brandId": "<string>",
"brandVertical": "<string>",
"resellerType": "<string>",
"globalQueueActions": 123,
"queuePauseReasons": [
"<string>"
],
"parkinglotTimeout": 123,
"incomingRingsCount": 123,
"recordingStorage": "<string>",
"recordingHost": "<string>",
"recordingUser": "<string>",
"recordingPassword": "<string>",
"recordingDir": "<string>",
"salesforceDomain": "<string>",
"salesforceCTITasks": "<string>",
"autoPortReject": 123,
"callWaiting": 123,
"disabled": 123,
"enableSoftphonePark": 123,
"isResidential": 123,
"mfaEnabled": 123,
"recordUserSessions": 123,
"sameRing": 123,
"forceVoicemailPin": 123,
"billingV2": 123,
"healthcareVertical": "<string>",
"timezone": {
"id": 123,
"name": "<string>"
},
"musicOnHold": {
"id": 123,
"name": "<string>"
},
"routingProfile": {
"id": 123,
"name": "<string>"
},
"partner": {
"id": 123,
"name": "<string>",
"tenantId": 123
},
"branch": {
"id": 123,
"name": "<string>"
},
"isResellerAccount": 123,
"parkinglotCount": 123,
"notes": [
{
"id": 123,
"name": "<string>",
"note": "<string>",
"userId": 123
}
],
"products": [
{
"id": 123,
"productId": 123,
"name": "<string>",
"description": "<string>",
"price": "<string>",
"customQuantity": 123,
"customDescription": "<string>",
"isCustom": true,
"tenantId": 123
}
],
"integrations": [
{
"id": 123,
"name": "<string>",
"category": "<string>"
}
],
"billingInfo": {
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"shippingSameAsBilling": true,
"shippingStreet": "<string>",
"shippingCity": "<string>",
"shippingState": "<string>",
"shippingPostalCode": "<string>"
},
"conduits": [
{
"id": 123,
"name": "<string>",
"conduitPrefix": "<string>"
}
]
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}Tenants
Update Tenant
Update an existing tenant
PATCH
/
v2
/
admin
/
tenants
/
{id}
Update Tenant
curl --request PATCH \
--url https://api.voxo.co/v2/admin/tenants/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.voxo.co/v2/admin/tenants/{id}"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.voxo.co/v2/admin/tenants/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.voxo.co/v2/admin/tenants/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.voxo.co/v2/admin/tenants/{id}"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.voxo.co/v2/admin/tenants/{id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.voxo.co/v2/admin/tenants/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"tenantCode": "<string>",
"externalBillingId": "<string>",
"billingStartDate": "<string>",
"conduitPrefix": "<string>",
"brandId": "<string>",
"brandVertical": "<string>",
"resellerType": "<string>",
"globalQueueActions": 123,
"queuePauseReasons": [
"<string>"
],
"parkinglotTimeout": 123,
"incomingRingsCount": 123,
"recordingStorage": "<string>",
"recordingHost": "<string>",
"recordingUser": "<string>",
"recordingPassword": "<string>",
"recordingDir": "<string>",
"salesforceDomain": "<string>",
"salesforceCTITasks": "<string>",
"autoPortReject": 123,
"callWaiting": 123,
"disabled": 123,
"enableSoftphonePark": 123,
"isResidential": 123,
"mfaEnabled": 123,
"recordUserSessions": 123,
"sameRing": 123,
"forceVoicemailPin": 123,
"billingV2": 123,
"healthcareVertical": "<string>",
"timezone": {
"id": 123,
"name": "<string>"
},
"musicOnHold": {
"id": 123,
"name": "<string>"
},
"routingProfile": {
"id": 123,
"name": "<string>"
},
"partner": {
"id": 123,
"name": "<string>",
"tenantId": 123
},
"branch": {
"id": 123,
"name": "<string>"
},
"isResellerAccount": 123,
"parkinglotCount": 123,
"notes": [
{
"id": 123,
"name": "<string>",
"note": "<string>",
"userId": 123
}
],
"products": [
{
"id": 123,
"productId": 123,
"name": "<string>",
"description": "<string>",
"price": "<string>",
"customQuantity": 123,
"customDescription": "<string>",
"isCustom": true,
"tenantId": 123
}
],
"integrations": [
{
"id": 123,
"name": "<string>",
"category": "<string>"
}
],
"billingInfo": {
"firstName": "<string>",
"lastName": "<string>",
"email": "<string>",
"phoneNumber": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"shippingSameAsBilling": true,
"shippingStreet": "<string>",
"shippingCity": "<string>",
"shippingState": "<string>",
"shippingPostalCode": "<string>"
},
"conduits": [
{
"id": 123,
"name": "<string>",
"conduitPrefix": "<string>"
}
]
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}{
"name": "<string>",
"message": "<string>",
"code": 123,
"validationErrors": [
"<string>"
]
}Authorizations
Body
application/json
Billing start date (ISO date, must be 1st, 5th, 10th, 15th, or 20th)
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))$Response
Updated tenant
Was this page helpful?